C
C
C
      SUBROUTINE   DSNSET
     I                   (MESSFL, WDMSFL, FE, DSN,
     O                    RETCOD)
C
C     + + + PURPOSE + + +
C     Makes calls to WDLBAX and INATRB as would be made by INDSGT,
C     which gets called by INDSOP in iowdm code.
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER    MESSFL, WDMSFL, FE, DSN, RETCOD
C
C     + + + ARGUMENT DEFINITIONS + + +
C     MESSFL - Fortran unit number of message file
C     WDMSFL - Fortran unit number of wdm file
C     FE     - Fortran unit number for debug output (0 if none)
C     DSN    - data-set number
C     RETCOD - return code
C               1 - successful
C              -1 - problem adding attributes
C
C     + + + LOCAL VARIABLES + + +
      INTEGER    NDN, NUP, NSA, NSP, NDP, PSA, DSTYPE
C
C     + + + EXTERNALS + + +
      EXTERNAL   WDLBAX
      EXTERNAL   INATRB
C
C     + + + END SPECIFICATIONS + + +
C
C     set default pointer/attribute values
      NDN = 1
      NUP = 1
      NSA = 35
      NSP = 70
      NDP = 150
C 
C     data-set type = time series
      DSTYPE = 1
C     add data-set label
      CALL WDLBAX (WDMSFL, DSN, DSTYPE, NDN, NUP, NSA, NSP, NDP,
     O             PSA)
C     add attributes
      CALL INATRB (MESSFL, FE, WDMSFL, DSN,
     O             RETCOD)
C
      RETURN
      END
